Package com.ocient.jdbc

# Class StructuredQueryMetrics

java.lang.Object
com.ocient.jdbc.StructuredQueryMetrics

public class StructuredQueryMetrics extends Object

## Constructor Summary

Constructors
Constructor
Description
`StructuredQueryMetrics(XGStatement stmt)`

## Method Summary

Modifier and Type
Method
Description
`void`
`associateResults(XGResultSet res)`
`void`
`logMetrics()`
`void`
`setCompleteTime(long queryCompleteTimestamp)`
`void`
`setStartTime(long queryStartTimestamp)`
`void`
`updateMetrics()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StructuredQueryMetrics

public StructuredQueryMetrics(XGStatement stmt)

## Method Details

### setCompleteTime

public void setCompleteTime(long queryCompleteTimestamp)

### setStartTime

public void setStartTime(long queryStartTimestamp)

### associateResults

public void associateResults(XGResultSet res)

### updateMetrics

public void updateMetrics()

### logMetrics

public void logMetrics()